# Community Feed

![Community feed](/files/YGi7tHAgCwT6siXdJmeL)

### Features

| Feature         | Data Type | Description                                                                     |
| --------------- | --------- | ------------------------------------------------------------------------------- |
| targetType      | enum      | for community feed it should be `PostTargetType.CommunityFeed`                  |
| feedType        | enum      | possible values `FeedType.Published`, `FeedType.Declined`, `FeedType.Reviewing` |
| targetId        | string    | for community feed it should be `<communityId>`                                 |
| className       | string    | custom style classes to be applied to feed                                      |
| showPostCreator | boolean   | show creator of the post                                                        |
| readonly        | boolean   | make feed readonly                                                              |

```javascript
import { FeedType, PostTargetType } from '@amityco/js-sdk'

const CommunityFeed = ({ communityId, currentUserId, isNewCommunity }) => {
return (
            <AmityUiKitFeed
                        targetType={PostTargetType.CommunityFeed}
                        targetId={communityId}
                        feedType={FeedType.Published}
            />
    )
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/web/social-uikit/our-components/community-profile-page/community-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
